Bug 1009721 - RFE: Add "how to run" information for library and server mode topics
RFE: Add "how to run" information for library and server mode topics
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.2.0
Assigned To: Rakesh
Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 21:49 EDT by Misha H. Ali
Modified: 2013-11-07 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:51:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-09-18 21:49:39 EDT
1. Add information about how to start JDG in each mode to the Usage Mode topics.

For server mode:

For Linux:
$JBOSS_HOME/bin/standalone.sh
For Windows:
$JBOSS_HOME\bin\standalone.bat

For library:

(i think)

$JDG_HOME/bin/clustered.sh
adjust above for win

Need to confirm the library mode startup script with an SME.
Comment 2 Misha H. Ali 2013-09-18 21:50:52 EDT
Assigned to Rakesh and added a deadline.
Comment 3 Rakesh 2013-09-23 03:22:37 EDT
- There is no startup script or command to run JBoss Data Grid in Library mode.
- Library mode is not "started", it is embedded in the application.
- Startup scripts are only available for Server mode. 
- Library (also known as Embedded) is just a component that users build into their own applications and from within their applications, users have to configure the library, start and work with cache managers and caches through our API. The lifecycle is therefore that of the user application
Comment 5 Misha H. Ali 2013-09-24 20:02:23 EDT
Please remember to add internal links in private comments.

The topic in the last link is broken, please investigate and troubleshoot the problem.
Comment 9 Misha H. Ali 2013-11-07 17:51:00 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.